HPET(4)

NAME
hpet - High Precision Event Timer

SYNOPSIS
hpet* at acpihpetbus?
hpet* at acpinodebus?
hpet* at amdpcib?
hpet* at ichlpcib?

DESCRIPTION
The hpet driver supports High Precision Event Timers (HPETs). The HPET architecture defines one main 64-bit counter and several additional timers with variable width. The minimum clock frequency of the main timecounter is 10 MHz, but much higher rates are common. The additional 32 or 64 -bit parts are typically accessible via MMIO that is set by the system BIOS through ACPI.

As a HPET can provide higher interrupt rates than a RTC or attimer(4), multimedia is one typical application context. The interrupt logic is configurable through I/O APIC, but a legacy mode is provided for older systems.

SEE ALSO
acpi(4), attimer(4), timecounter(9), tsc(9) Intel Corporation, IA-PC HPET (High Precision Event Timers) Specification, Revision 1.0a, October, 2004, http://www.intel.com/hardwaredesign/hpetspec_1.pdf.